
--
-- Create tables to hold RF1 input data
--

if exists (select name from sysobjects where name = 'NEWORDERS') 
			drop table NEWORDERS

create table NEWORDERS (O_ORDERKEY bigint not null,
       				O_CUSTKEY int not null,
        			O_ORDERSTATUS char(1)  not null,
        			O_TOTALPRICE  decimal(12,2)  not null,
        			O_ORDERDATE date  not null,
        			O_ORDERPRIORITY char(15)  not null,
        			O_CLERK  char(15) not null,
        			O_SHIPPRIORITY  int not null,
        			O_COMMENT varchar(79) not null) on DATA_FG


if exists (select name from sysobjects  where name = 'NEWLINEITEM') 
			drop table NEWLINEITEM
create table NEWLINEITEM (L_ORDERKEY  bigint  not null,
       				L_PARTKEY int not null,
       				L_SUPPKEY int not null,
       				L_LINENUMBER int not null,
       				L_QUANTITY decimal(12,2) not null,
       				L_EXTENDEDPRICE decimal(12,2) not null,
       				L_DISCOUNT decimal(12,2) not null,
       				L_TAX decimal(12,2) not null,
       				L_RETURNFLAG char(1) not null,
       				L_LINESTATUS char(1) not null,
       				L_SHIPDATE date  not null,
       				L_COMMITDATE date  not null,
       				L_RECEIPTDATE date  not null,
       				L_SHIPINSTRUCT char(25)  not null,
       				L_SHIPMODE char(10 ) not null,
       				L_COMMENT varchar(44) not null) on DATA_FG
