setlocal enabledelayedexpansion
@@echo off
REM this is the actual work to be parallelized 

set TPCH_RUN_NUM=%1
set TPCH_INDEXED_EXEC_LIST=%2
set TPCH_CURRENT_EXEC=%3
set TPCH_LOOP_EVENT_TO_RELEASE=%4
set TPCH_LOOP_SEMAPHORE_TO_GRAB=%5

set TPCH_OUTPUT_DIR=%TPCH_OUTPUT_DIR_PREFIX%\%TPCH_RUN_NUM%
set TPCH_MASTERLOG_FILE=%TPCH_OUTPUT_DIR%\%TPCH_MASTERLOG_NAME%
set TPCH_INDEXED_EXEC=%TPCH_OUTPUT_DIR%\MasterIndexedExec.txt

REM call work here

	rem echo !DATE! !TIME! Start: Executing child %TPCH_CURRENT_EXEC% >> %TPCH_MASTERLOG_FILE%

	FOR /F  %%j in ('%TPCH_AUTOMATION_CMD_PATH%\extractMap.cmd %TPCH_INDEXED_EXEC_LIST% %TPCH_CURRENT_EXEC% 1 3') do set TPCH_CURRENT_EXEC_FILE=%%j

	call %TPCH_AUTOMATION_CMD_PATH%\execSQLFileList.cmd !TPCH_OUTPUT_DIR!\!TPCH_CURRENT_EXEC_FILE! %TPCH_RUN_NUM% no no yes

	
	rem echo !DATE! !TIME! End: Executing child %TPCH_CURRENT_EXEC% >> %TPCH_MASTERLOG_FILE%

REM signal work done by releasing gate - release both event and semaphore - event maintains count.
    rem %TPCH_AUTOMATION_EXEC%\signalEvent.exe [Event to signal] 	      [Semaphore to release]
	REM %TPCH_AUTOMATION_EXEC%\signalEvent.exe %TPCH_LOOP_EVENT_TO_RELEASE% %TPCH_LOOP_SEMAPHORE_TO_GRAB%
	%TPCH_AUTOMATION_EXEC%\signalEvent.exe * %TPCH_LOOP_EVENT_TO_RELEASE%
	%TPCH_AUTOMATION_EXEC%\signalEvent.exe * %TPCH_LOOP_SEMAPHORE_TO_GRAB%

endlocal
exit
