-- using 319210741 as a seed to the RNG

/* TPC_H  Query 17 - Small-Quantity-Order Revenue */

SELECT	SUM(L_EXTENDEDPRICE)/7.0	AS AVG_YEARLY
FROM	LINEITEM,
	PART
WHERE	P_PARTKEY	= L_PARTKEY	AND
	P_BRAND		= 'Brand#45'		AND
	P_CONTAINER	= 'SM CAN'		AND
	L_QUANTITY	<	(	SELECT	0.2 * AVG(L_QUANTITY)
					FROM	LINEITEM
					WHERE	L_PARTKEY	= P_PARTKEY
				)
